@use "@/theme/base.scss";

.layout {
  display: grid;
  grid: "l r" / 256px 1fr;
  grid-gap: 1rem;
  @include base.mq($until: tablet) {
    grid: "l" "r";
    .left {
      align-items: flex-start;
    }
  }
}

.left {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.right {
  padding: 1rem;
  margin: -1rem;
  justify-self: left;
  overflow: hidden;
  width: 100%;
}

.resultsTable {
  @include base.elevated;
}

.eloTabs {
  @include base.elevated-box;
  overflow: hidden;
  margin-bottom: 1rem;
  padding: 0;

  .eloTabBar {
    margin: 0;
  }

  .eloSvg {
    padding: 1rem;
    width: 100%;
    overflow: hidden;
    background: var(--table-header-background-color);
  }

  .eloTableContainer {
    overflow-y: scroll;    
    max-height: 400px;
    th, td {
        border-radius: 0;
    }
    table {
        display: flex;
        flex-flow: column;
        height: 100%;
        width: 100%;
    }
    table thead {
        /* head takes the height it requires, 
        and it's not scaled when table is resized */
        flex: 0 0 auto;
        width: 100%;
        position: sticky;
        top: 0;
    }
    table tbody {
        /* body takes all the remaining available space */
        flex: 1 1 auto;
        display: block;
        overflow-y: scroll;
    }
    table tbody tr {
        width: 100%;
    }
    table thead, table tbody tr {
        display: table;
        table-layout: fixed;
    }
  }
}

.avatar {
  @include base.elevated;
  margin-bottom: 1rem;
}

.avatarCaption {
  width: 100%;
  display: flex;
  flex-direction: column;
  > .username {
    margin: 0;
  }
  > .tag {
    border: 0;
    vertical-align: text-top;
  }
}

.discordTag {
  font-weight: 300;
}

.teams {
  > ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  }
}
